package domain


type AlibabaRetailMarketingItempoolActivityCreateCondition struct {
    /*
        满元金额，单位分     */
    Amount  *int64 `json:"amount,omitempty" `

    /*
        是否满件     */
    CountAt  *bool `json:"count_at,omitempty" `

    /*
        是否指定件数     */
    CountBegin  *bool `json:"count_begin,omitempty" `

    /*
        是否第N件     */
    Appoint  *bool `json:"appoint,omitempty" `

    /*
        满件门槛     */
    Count  *int64 `json:"count,omitempty" `

    /*
        是否满元     */
    AmountAt  *bool `json:"amount_at,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolActivityCreateCondition) SetAmount(v int64) *AlibabaRetailMarketingItempoolActivityCreateCondition {
    s.Amount = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityCreateCondition) SetCountAt(v bool) *AlibabaRetailMarketingItempoolActivityCreateCondition {
    s.CountAt = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityCreateCondition) SetCountBegin(v bool) *AlibabaRetailMarketingItempoolActivityCreateCondition {
    s.CountBegin = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityCreateCondition) SetAppoint(v bool) *AlibabaRetailMarketingItempoolActivityCreateCondition {
    s.Appoint = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityCreateCondition) SetCount(v int64) *AlibabaRetailMarketingItempoolActivityCreateCondition {
    s.Count = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityCreateCondition) SetAmountAt(v bool) *AlibabaRetailMarketingItempoolActivityCreateCondition {
    s.AmountAt = &v
    return s
}
